--- php5-pecl_http.spec.orig
+++ php5-pecl_http.spec
@@ -2,21 +2,21 @@
 %define		pkg_name    pecl_http
 %define		pkg_version %(php-config --version | awk -F. '{print $1"."$2 }' 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
 %define		php_version %(php-config --version 2>/dev/null)
-%if "%{pkg_version}" >= "5.6"
-%define		my_version 2.4.3
+%if "%{pkg_version}" >= "7.0"
+%define		my_version 3.1.0
 %define		upstream 1
 BuildRequires:	libevent-devel
+BuildRequires:	php7-raphf
+BuildRequires:	php7-propro
+Requires:	php7-raphf
+Requires:	php7-propro
 BuildRequires:	libevent2
-BuildRequires:	php5-raphf
-BuildRequires:	php5-propro
-Requires:	php5-raphf
-Requires:	php5-propro
 %else
 %define		my_version 1.7.6
 %define		upstream 0
 %endif
 #
-Name:		php5-pecl_http
+Name:		php7-pecl_http
 Version:	%{my_version}
 Release:	0
 #
@@ -28,8 +28,8 @@ BuildRoot:	%{_tmppath}/%{pkg_name}-%{ver
 #yes, PHP modules are required for build, as configure tests it's precence, to enable
 #or disable features.
 BuildRequires:	php-devel curl-devel file-devel libevent php-iconv php-hash
+Requires:	php7 = %{php_version} php-iconv php-hash
 BuildRequires:	pkg-config libevent-devel libidn-devel libicu-devel
-Requires:	php5 = %{php_version} php-iconv php-hash
 #
 URL:		http://pecl.php.net/pecl_http
 Source:		http://pecl.php.net/package/pecl_http/%{pkg_name}-%{my_version}.tar.bz2
@@ -38,7 +38,8 @@ Source1:	http.ini
 %else
 Source1:	http-2.4.3.ini
 %endif
-Patch0:		pecl_http-2.4.3_debug.patch
+#Patch0:		pecl_http-2.4.3_debug.patch
+#Patch0:		pecl_http-3.0.1_debug.patch
 Summary:	Extended HTTP Support
 
 %description
@@ -50,9 +51,9 @@ Authors:
     Michael Wallner <mike@php.net>
 
 %package        devel
-Summary:        Include files of php5-pecl_http
+Summary:        Include files of php7-pecl_http
 Group:          Development/Libraries/C and C++
-Requires:       %{name} = %{my_version} php5-devel curl-devel file-devel libevent
+Requires:       %{name} = %{my_version} php7-devel curl-devel file-devel libevent
 
 %description   devel
 
@@ -65,17 +66,17 @@ Authors:
 
 %prep
 %setup -q -n %{pkg_name}-%{my_version}
-%if "%{upstream}" == "1"
-%patch0
-%endif
+#if "%{upstream}" == "1"
+#patch0
+#endif
 
 #%{__mkdir} %{name}
 
 %build
 if [ -x /usr/bin/php ] ; then
 export PHP_EXECUTABLE="/usr/bin/php"
-elif [ -x /usr/bin/php5 ] ; then
-export PHP_EXECUTABLE="/usr/bin/php5"
+elif [ -x /usr/bin/php7 ] ; then
+export PHP_EXECUTABLE="/usr/bin/php7"
 else
 export PHP_EXECUTABLE="/usr/local/bin/php"
 fi
@@ -119,14 +120,14 @@ unset NO_INTERACTION REPORT_EXIT_STATUS
 %install
 
 %makeinstall INSTALL_ROOT=%{buildroot}
-%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
-%{__install} -m 644 %{S:1} %{buildroot}%{_sysconfdir}/php5/conf.d/http.ini
+%{__mkdir_p} %{buildroot}%{_sysconfdir}/php7/conf.d
+%{__install} -m 644 %{S:1} %{buildroot}%{_sysconfdir}/php7/conf.d/http.ini
 
 %clean
 %{__rm} -rf %{buildroot}
 
 %post
-for file in /etc/php5/conf.d/propro.ini /etc/php5/conf.d/raphf.ini ; do
+for file in /etc/php7/conf.d/propro.ini /etc/php7/conf.d/raphf.ini ; do
  if [ -f ${file} ] ; then
   sed -i -r s@"^(extension\s?=.*)"@";\1"@ ${file}
  fi
@@ -134,46 +135,20 @@ done
 
 %files
 %defattr(-,root,root,-)
-%{_libdir}/php5/extensions/http.so
-%config(noreplace) %{_sysconfdir}/php5/conf.d/http.ini
+%{_libdir}/php7/extensions/http.so
+%config(noreplace) %{_sysconfdir}/php7/conf.d/http.ini
 
 %files devel
 %defattr(-,root,root,-)
-%dir %{_includedir}/php5/ext/http
+%dir %{_includedir}/php7/ext/http
 %if "%{upstream}" == "0"
-%dir %{_includedir}/php5/ext/http/phpstr
-%{_includedir}/php5/ext/http/*.h
-%{_includedir}/php5/ext/http/phpstr/*.h
+%dir %{_includedir}/php7/ext/http/phpstr
+%{_includedir}/php7/ext/http/*.h
+%{_includedir}/php7/ext/http/phpstr/*.h
 %doc lib
 %else
-%{_includedir}/php5/ext/http/php_*.h
+%{_includedir}/php7/ext/http/php_*.h
 %endif
 %doc LICENSE CREDITS KnownIssues.txt
 
-%changelog -n php5-pecl_http
-* Thu Dec 10 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.6-0
-- new release 1.6.6
-* Fri Aug 14 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.5-0
-- new release 1.6.5
-* Fri Jul 24 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.4-0
-- new release 1.6.4
-* Thu Feb 12 2009 Carsten Schoene <cs@linux-administrator.com>
-- new release 1.6.3
-* Fri Dec 05 2008 Carsten Schoene <cs@linux-administrator.com>
-- version bump to 1.6.2
-* Wed Jul 23 2008 Carsten Schoene <cs@linux-administrator.com>
-- version bump to 1.6.1
-* Sun Feb 25 2007 - judas_iscariote@shorewall.net
-- version bump to 1.5.2 
-* Wed Feb 21 2007 - judas_iscariote@shorewall.net
-- version 1.5.1 solves compile problems in older PHP versions.
-* Tue Feb 20 2007 - judas_iscariote@shorewall.net
-- update to version 1.5.0
-* Sun Jan 29 2007 - judas_iscariote@shorewall.net
-- update to 1.4.1
-* Tue Jan 23 2007 - judas_iscariote@shorewall.net
-- Update to 1.4.0 final.
-* Mon Dec 11 2006 - judas_iscariote@shorewall.net
-- we need to export php executable name and add php5-hash and php5-iconv to BuildRequires
-* Thu Nov 09 2006 - soporte@onfocus.cl
-- very first build
+%changelog
